function Payload({ size }) {
  return (
    <svg
      width={size}
      height={size}
      viewBox="0 0 100 100"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g clipPath="url(#clip0)">
        <path
          d="M4.15304 -4.59574e-05L0.0106159 4.14237L8.31069 12.4424C7.11149 16.5099 6.50398 20.7132 6.50398 24.9494C6.50398 37.5479 11.8936 49.5856 21.2925 57.9774L33.81 69.1315L32.9229 86.0142L46.8426 99.9337L57.5868 89.1896L71.7012 94.7552L75.829 90.6274C76.3485 92.8151 77.4615 94.8233 79.0915 96.4533C83.4987 100.861 94.9209 100.005 97.1658 99.7892L99.5693 99.5576L99.8009 97.1542C99.8087 97.0739 99.9903 95.16 99.9903 92.6032C99.9903 85.9687 98.8044 81.4187 96.4652 79.0799C94.8002 77.4149 92.7723 76.3302 90.6338 75.8228L94.7664 71.6902L89.201 57.5759L99.9452 46.8318L86.0258 32.9124L69.1429 33.7993L57.9871 21.2799C46.6001 8.52655 28.809 3.48116 12.4537 8.30002L4.15304 -4.59574e-05ZM13.971 13.9601C20.0248 12.1517 26.3096 11.9048 32.2962 13.0718L13.0751 32.293C12.6064 29.8911 12.3625 27.4331 12.3625 24.9494C12.3623 21.2266 12.9034 17.5325 13.971 13.9601ZM38.9103 83.7165L39.4143 74.1251L52.6088 85.8826L46.8426 91.6487L38.9103 83.7165ZM92.3223 83.2223C92.6244 83.5244 94.1316 85.3965 94.1316 92.6034C94.1316 93.1414 94.1224 93.6485 94.1085 94.1092C89.8343 94.2346 84.6815 93.7585 83.2339 92.3111C82.0201 91.0972 81.3517 89.4835 81.3517 87.7668C81.3517 86.0517 82.0191 84.4389 83.231 83.2254L83.2367 83.2198C85.7427 80.7167 89.8175 80.7175 92.3223 83.2223ZM70.2755 87.8957L62.1032 84.6732L84.6841 62.0923L87.9063 70.2649L70.2755 87.8957ZM83.7272 38.8994L91.6598 46.8318L85.8934 52.5981L74.136 39.4034L83.7272 38.8994ZM53.6145 25.1794L81.7442 56.7474L56.7582 81.7333L25.1924 53.6056C20.5888 49.4952 17.0943 44.3754 14.9236 38.7291L38.7343 14.9184C44.3384 17.0678 49.4668 20.5338 53.6145 25.1794Z"
          fill="#F1EBFF"
        />
        <path
          d="M37.0865 32.9458L32.9441 37.0882L35.6516 39.7957C34.3462 41.3035 33.6317 43.207 33.6317 45.2213C33.6317 47.4397 34.4958 49.5254 36.0644 51.0941C37.6331 52.6628 39.7189 53.5269 41.9372 53.5269C44.1557 53.5269 46.2415 52.6629 47.8102 51.0941L52.1576 46.7466C53.1967 45.7076 54.8874 45.7076 55.9263 46.7464C56.9656 47.7857 56.9654 49.4762 55.9265 50.5153L46.558 59.8835L50.7005 64.0259L55.2912 59.4352L57.9816 62.1255L62.124 57.9831L59.4337 55.2927L60.0689 54.6575C61.7305 52.9959 62.5612 50.8135 62.5612 48.6309C62.5612 46.4482 61.7305 44.2656 60.0689 42.604C56.7457 39.281 51.3384 39.281 48.0152 42.604L43.6677 46.9515C42.7134 47.9056 41.161 47.9056 40.2067 46.9515C39.2523 45.9972 39.2523 44.4449 40.2067 43.4906L47.5467 36.1505L43.4043 32.0081L39.7766 35.6357L37.0865 32.9458Z"
          fill="#F1EBFF"
        />
      </g>
      <defs>
        <clipPath id="clip0">
          <rect
            width="100"
            height="100"
            fill="white"
            transform="translate(0 100) rotate(-90)"
          />
        </clipPath>
      </defs>
    </svg>
  );
}

export default Payload;
